#ifndef _AISA06_H_
#define _AISA06_H_

#ifdef __cplusplus
extern "C" {
#endif

// őXbg
#define	AISA06_MAX_SLOTS				16

// _Xbgw
#define	AISA06_SLOT_AUTO				((WORD) ~0U)

// `l
#define AISA06_CH_1						0
#define AISA06_CH_2						1
#define AISA06_CH_3						2
#define AISA06_CH_4						3

// G[R[h̒`
#define	AISA06_ERR_INTERNAL				5100	// Send mail to us
#define	AISA06_ERR_UNKNOWN				5101	// Help me!
#define	AISA06_SUCCESS					0		// I
#define	AISA06_ERR_NO_DEVICE			5000	// No device or not an aISA-A15
#define	AISA06_ERR_RESOURCE				5001	// Resource exhaustion
#define	AISA06_ERR_INVALID_ARG			5002	// Invalid argument(s)
#define	AISA06_ERR_SLOT					5003	// _Xbgԍsłi܂͌܂j
#define	AISA06_ERR_CHANNEL				5004	// `lw肪sł
#define	AISA06_ERR_NOT_CREATED			5005	// foCXNGCgĂ܂
#define	AISA06_ERR_TIMEOUT				5006	// f[^o͂Ɏs܂
#define	AISA06_ERR_IN_USE				5007	// gp̃foCXł

// ***** I/O\[X\ *****
// YfoCXgpI/O\[XAvP[V󂯎邽߂̍\́B
typedef struct _AISA06RESOURCE_NT {
	DWORD	dwIOPortBase;			// I/O|[gJnAhX
	DWORD	dwIOPortLength;			// I/O|[g
} AISA06RESOURCE_NT, *PAISA06R_NT;


// foCX̎gp錾
BOOL
WINAPI
Aisa06Create(
	LPWORD		lpwLogSlot,				// _Xbgw
	HWND		hwnd,					// bZ[W󂯎EBhEnh
	UINT		uWMBase,				// bZ[WID̊l
	LPVOID		lpvInitArg);			// ̂߂̗\


// foCX̊J錾
BOOL
WINAPI
Aisa06Close(
	WORD		wLogSlot);				// _Xbgw


// foCXhCoDLL̃o[W擾
BOOL
WINAPI
Aisa06GetVersion(
	LPDWORD		lpdwDllVer,				// DLL̃o[W
	LPDWORD		lpdwDrvVer);			// Driver̃o[W


// I/O\[X̎擾
BOOL
WINAPI
Aisa06GetResource(
	WORD		wLogSlot,				// _Xbg
	PAISA06R_NT	pres);					// \[X


// o̓f[^̐ݒ
BOOL
WINAPI
Aisa06SetData(
	WORD		wLogSlot,				// _Xbg
	WORD		wChData,				// ݃`l(0 ` 3)
	WORD		wDaData);				// D/A݃f[^


// G[R[h̎擾
DWORD
WINAPI
Aisa06GetLastError(
	WORD		wLogSlot);				// _Xbg


// O͏Ԃ̎擾
BOOL
WINAPI
Aisa06GetCH(
	WORD		wLogSlot,				// _Xbg
	LPDWORD		lpdwCH1,				// CH1̏
	LPDWORD		lpdwCH2);				// CH2̏


#ifdef __cplusplus
}
#endif

#endif
